 # ---------------- Global parameters ----------------
Ensembl_FTP_URL: ftp.ensembl.org/pub/release-110/
annotationFilename: Homo_sapiens.GRCh38.110.chr_patch_hapl_scaff
ensembl_release: 110

custom_transcript_list: "data/transcripts_reference_110.csv"
included_transcript_biotypes: ""
only_MANE_select: False

final_fasta_file: "results/F1_240530_ens110_ref_contam_1kGP_SAS_GRCh38_haplo.fa"
fasta_simplify_headers: True

# ---------------- ProHap parameters ----------------
use_ProHap: True

phased_FTP_URL: "http://ftp.1000genomes.ebi.ac.uk/vol1/ftp/data_collections/1000_genomes_project/release/20190312_biallelic_SNV_and_INDEL/"
phased_local_path: ""
phased_vcf_file_name: "ALL.chr{chr}.shapeit2_integrated_snvindels_v2a_27022019.GRCh38.phased.vcf"
sample_metadata_file: "igsr_samples_SAS.tsv"

working_dir_name_haplo: haplotypes_tmp

phased_min_af: 0.01
phased_af_field: SAS_AF
haplo_min_freq: 0
haplo_min_count: 0

x_par1_to: 2781479
x_par2_from: 155701383

haplo_require_start: 1
haplo_ignore_UTR: 1
haplo_skip_start_lost: 1
max_cores: 20

haplo_fasta_file: "results/F3_240530_1kGP_SAS_GRCh38_haplo.fa"
haplo_table_file: "results/F2_240530_1kGP_SAS_GRCh38_haplo.tsv"

# ---------------- ProVar parameters ----------------
use_ProVar: False
variant_vcf: {}

working_dir_name_var: variants_tmp

var_require_start: 1

var_fasta_file: ""
var_table_file: ""

add_existing_haplo: False
haplo_added_fasta: ""

